Index: code/branches/ogre1.9/data/gui/schemes/WindowsMenuWidgets.scheme
===================================================================
--- code/branches/ogre1.9/data/gui/schemes/WindowsMenuWidgets.scheme	(revision 11128)
+++ code/branches/ogre1.9/data/gui/schemes/WindowsMenuWidgets.scheme	(revision 11211)
@@ -1,42 +1,42 @@
-<?xml version="1.0" ?>
-<GUIScheme Name="WindowsMenuWidgets">
-    <WindowAlias Alias="MenuWidgets/StaticImage"              Target="WindowsLook/StaticImage" />
-    <WindowAlias Alias="MenuWidgets/StaticText"               Target="WindowsLook/StaticText" />
-    <WindowAlias Alias="MenuWidgets/TabButtonPane"            Target="WindowsLook/TabButtonPane" />
-    <WindowAlias Alias="MenuWidgets/TabContentPane"           Target="WindowsLook/TabContentPane" />
-    <WindowAlias Alias="MenuWidgets/Checkbox"                 Target="WindowsLook/Checkbox" />
-    <WindowAlias Alias="MenuWidgets/Combobox"                 Target="WindowsLook/Combobox" />
-    <WindowAlias Alias="MenuWidgets/ComboDropList"            Target="WindowsLook/ComboDropList" />
-    <WindowAlias Alias="MenuWidgets/ComboEditbox"             Target="WindowsLook/ComboEditbox" />
-    <WindowAlias Alias="MenuWidgets/Editbox"                  Target="WindowsLook/Editbox" />
-    <WindowAlias Alias="MenuWidgets/FrameWindow"              Target="WindowsLook/FrameWindow" />
-    <WindowAlias Alias="MenuWidgets/GroupBox"                 Target="WindowsLook/GroupBox" />
-    <WindowAlias Alias="MenuWidgets/ItemListbox"              Target="WindowsLook/ItemListbox" />
-    <WindowAlias Alias="MenuWidgets/ListboxItem"              Target="WindowsLook/ListboxItem" />
-    <WindowAlias Alias="MenuWidgets/Listbox"                  Target="WindowsLook/Listbox" />
-    <WindowAlias Alias="MenuWidgets/ListHeader"               Target="WindowsLook/ListHeader" />
-    <WindowAlias Alias="MenuWidgets/ListHeaderSegment"        Target="WindowsLook/ListHeaderSegment" />
-    <WindowAlias Alias="MenuWidgets/MultiLineEditbox"         Target="WindowsLook/MultiLineEditbox" />
-    <WindowAlias Alias="MenuWidgets/Menubar"                  Target="WindowsLook/Menubar" />
-    <WindowAlias Alias="MenuWidgets/MenuItem"                 Target="WindowsLook/MenuItem" />
-    <WindowAlias Alias="MenuWidgets/MultiColumnList"          Target="WindowsLook/MultiColumnList" />
-    <WindowAlias Alias="MenuWidgets/PopupMenu"                Target="WindowsLook/PopupMenu" />
-    <WindowAlias Alias="MenuWidgets/ProgressBar"              Target="WindowsLook/ProgressBar" />
-    <WindowAlias Alias="MenuWidgets/Button"                   Target="WindowsLook/Button" />
-    <WindowAlias Alias="MenuWidgets/ImageButton"              Target="WindowsLook/ImageButton" />
-    <WindowAlias Alias="MenuWidgets/RadioButton"              Target="WindowsLook/RadioButton" />
-    <WindowAlias Alias="MenuWidgets/SystemButton"             Target="WindowsLook/SystemButton" />
-    <WindowAlias Alias="MenuWidgets/ScrollablePane"           Target="WindowsLook/ScrollablePane" />
-    <WindowAlias Alias="MenuWidgets/HorizontalScrollbar"      Target="WindowsLook/HorizontalScrollbar" />
-    <WindowAlias Alias="MenuWidgets/VerticalScrollbar"        Target="WindowsLook/VerticalScrollbar" />
-    <WindowAlias Alias="MenuWidgets/Slider"                   Target="WindowsLook/Slider" />
-    <WindowAlias Alias="MenuWidgets/Spinner"                  Target="WindowsLook/Spinner" />
-    <WindowAlias Alias="MenuWidgets/TabButton"                Target="WindowsLook/TabButton" />
-    <WindowAlias Alias="MenuWidgets/TabControl"               Target="WindowsLook/TabControl" />
-    <WindowAlias Alias="MenuWidgets/HorizontalScrollbarThumb" Target="WindowsLook/HorizontalScrollbarThumb" />
-    <WindowAlias Alias="MenuWidgets/SliderThumb"              Target="WindowsLook/SliderThumb" />
-    <WindowAlias Alias="MenuWidgets/VerticalScrollbarThumb"   Target="WindowsLook/VerticalScrollbarThumb" />
-    <WindowAlias Alias="MenuWidgets/Titlebar"                 Target="WindowsLook/Titlebar" />
-    <WindowAlias Alias="MenuWidgets/Tooltip"                  Target="WindowsLook/Tooltip" />
-    <WindowAlias Alias="MenuWidgets/Tree"                     Target="WindowsLook/Tree" />
+<?xml version='1.0' encoding='utf-8'?>
+<GUIScheme name="WindowsMenuWidgets" version="5">
+    <WindowAlias alias="MenuWidgets/StaticImage" target="WindowsLook/StaticImage" />
+    <WindowAlias alias="MenuWidgets/StaticText" target="WindowsLook/StaticText" />
+    <WindowAlias alias="MenuWidgets/TabButtonPane" target="WindowsLook/TabButtonPane" />
+    <WindowAlias alias="MenuWidgets/TabContentPane" target="WindowsLook/TabContentPane" />
+    <WindowAlias alias="MenuWidgets/Checkbox" target="WindowsLook/Checkbox" />
+    <WindowAlias alias="MenuWidgets/Combobox" target="WindowsLook/Combobox" />
+    <WindowAlias alias="MenuWidgets/ComboDropList" target="WindowsLook/ComboDropList" />
+    <WindowAlias alias="MenuWidgets/ComboEditbox" target="WindowsLook/ComboEditbox" />
+    <WindowAlias alias="MenuWidgets/Editbox" target="WindowsLook/Editbox" />
+    <WindowAlias alias="MenuWidgets/FrameWindow" target="WindowsLook/FrameWindow" />
+    <WindowAlias alias="MenuWidgets/GroupBox" target="WindowsLook/GroupBox" />
+    <WindowAlias alias="MenuWidgets/ItemListbox" target="WindowsLook/ItemListbox" />
+    <WindowAlias alias="MenuWidgets/ListboxItem" target="WindowsLook/ListboxItem" />
+    <WindowAlias alias="MenuWidgets/Listbox" target="WindowsLook/Listbox" />
+    <WindowAlias alias="MenuWidgets/ListHeader" target="WindowsLook/ListHeader" />
+    <WindowAlias alias="MenuWidgets/ListHeaderSegment" target="WindowsLook/ListHeaderSegment" />
+    <WindowAlias alias="MenuWidgets/MultiLineEditbox" target="WindowsLook/MultiLineEditbox" />
+    <WindowAlias alias="MenuWidgets/Menubar" target="WindowsLook/Menubar" />
+    <WindowAlias alias="MenuWidgets/MenuItem" target="WindowsLook/MenuItem" />
+    <WindowAlias alias="MenuWidgets/MultiColumnList" target="WindowsLook/MultiColumnList" />
+    <WindowAlias alias="MenuWidgets/PopupMenu" target="WindowsLook/PopupMenu" />
+    <WindowAlias alias="MenuWidgets/ProgressBar" target="WindowsLook/ProgressBar" />
+    <WindowAlias alias="MenuWidgets/Button" target="WindowsLook/Button" />
+    <WindowAlias alias="MenuWidgets/ImageButton" target="WindowsLook/ImageButton" />
+    <WindowAlias alias="MenuWidgets/RadioButton" target="WindowsLook/RadioButton" />
+    <WindowAlias alias="MenuWidgets/SystemButton" target="WindowsLook/SystemButton" />
+    <WindowAlias alias="MenuWidgets/ScrollablePane" target="WindowsLook/ScrollablePane" />
+    <WindowAlias alias="MenuWidgets/HorizontalScrollbar" target="WindowsLook/HorizontalScrollbar" />
+    <WindowAlias alias="MenuWidgets/VerticalScrollbar" target="WindowsLook/VerticalScrollbar" />
+    <WindowAlias alias="MenuWidgets/Slider" target="WindowsLook/Slider" />
+    <WindowAlias alias="MenuWidgets/Spinner" target="WindowsLook/Spinner" />
+    <WindowAlias alias="MenuWidgets/TabButton" target="WindowsLook/TabButton" />
+    <WindowAlias alias="MenuWidgets/TabControl" target="WindowsLook/TabControl" />
+    <WindowAlias alias="MenuWidgets/HorizontalScrollbarThumb" target="WindowsLook/HorizontalScrollbarThumb" />
+    <WindowAlias alias="MenuWidgets/SliderThumb" target="WindowsLook/SliderThumb" />
+    <WindowAlias alias="MenuWidgets/VerticalScrollbarThumb" target="WindowsLook/VerticalScrollbarThumb" />
+    <WindowAlias alias="MenuWidgets/Titlebar" target="WindowsLook/Titlebar" />
+    <WindowAlias alias="MenuWidgets/Tooltip" target="WindowsLook/Tooltip" />
+    <WindowAlias alias="MenuWidgets/Tree" target="WindowsLook/Tree" />
 </GUIScheme>
Index: code/branches/ogre1.9/data/gui/scripts/AudioMenu.lua
===================================================================
--- code/branches/ogre1.9/data/gui/scripts/AudioMenu.lua	(revision 11128)
+++ code/branches/ogre1.9/data/gui/scripts/AudioMenu.lua	(revision 11211)
@@ -37,5 +37,5 @@
     for k,v in pairs(themeList) do
         item = CEGUI.createListboxTextItem(v)
-        item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+        item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
         CEGUI.toListbox(listboxwindow):addItem(item)
     end
Index: code/branches/ogre1.9/data/gui/scripts/DockingDialog.lua
===================================================================
--- code/branches/ogre1.9/data/gui/scripts/DockingDialog.lua	(revision 11128)
+++ code/branches/ogre1.9/data/gui/scripts/DockingDialog.lua	(revision 11211)
@@ -42,5 +42,5 @@
     for k in pairs(P.docks) do
         local item = CEGUI.createListboxTextItem("Dock " .. k)
-        item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+        item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
         listbox:addItem(item)
         if k == 1 then
Index: code/branches/ogre1.9/data/gui/scripts/GUISheet.lua
===================================================================
--- code/branches/ogre1.9/data/gui/scripts/GUISheet.lua	(revision 11128)
+++ code/branches/ogre1.9/data/gui/scripts/GUISheet.lua	(revision 11211)
@@ -66,5 +66,5 @@
 function P:load()
     -- Load the layout that describes the sheet
-    self.window = winMgr:loadWindowLayout(self.name .. ".layout")
+    self.window = winMgr:loadLayoutFromFile(self.name .. ".layout")
     if self.window == nil then
         error("Could not load layout file for GUI sheet '"..self.name.."'")
Index: code/branches/ogre1.9/data/gui/scripts/GameplayMenu.lua
===================================================================
--- code/branches/ogre1.9/data/gui/scripts/GameplayMenu.lua	(revision 11128)
+++ code/branches/ogre1.9/data/gui/scripts/GameplayMenu.lua	(revision 11211)
@@ -11,5 +11,5 @@
     for k,v in pairs(themeList) do
         item = CEGUI.createListboxTextItem(v)
-        item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+        item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
         CEGUI.toCombobox(dropdown):addItem(item)
     end
Index: code/branches/ogre1.9/data/gui/scripts/GraphicsMenu.lua
===================================================================
--- code/branches/ogre1.9/data/gui/scripts/GraphicsMenu.lua	(revision 11128)
+++ code/branches/ogre1.9/data/gui/scripts/GraphicsMenu.lua	(revision 11211)
@@ -39,5 +39,5 @@
     for k,v in pairs(P.resolutionList) do
         local item = CEGUI.createListboxTextItem(v)
-        item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+        item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
         resolutionCombobox:addItem(item)
     end
@@ -49,5 +49,5 @@
     for k,v in pairs(P.schemeList) do
         local item = CEGUI.createListboxTextItem(v)
-        item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+        item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
         themeCombobox:addItem(item)
     end
@@ -59,5 +59,5 @@
     for k,v in pairs(P.fsaaList) do
         local item = CEGUI.createListboxTextItem(v)
-        item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+        item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
         fsaaCombobox:addItem(item)
     end
@@ -69,5 +69,5 @@
     for k,v in pairs(P.particleLodList) do
         local item = CEGUI.createListboxTextItem(v)
-        item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+        item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
         particleLodCombobox:addItem(item)
     end
Index: code/branches/ogre1.9/data/gui/scripts/HostMenu.lua
===================================================================
--- code/branches/ogre1.9/data/gui/scripts/HostMenu.lua	(revision 11128)
+++ code/branches/ogre1.9/data/gui/scripts/HostMenu.lua	(revision 11211)
@@ -73,5 +73,5 @@
     for k,v in pairs(P.levelList) do
         local item = CEGUI.createListboxTextItem(v:getName())
-        item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+        item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
         listbox:addItem(item)
         if v:getXMLFilename() == preselect then
Index: code/branches/ogre1.9/data/gui/scripts/InitialiseGUI.lua
===================================================================
--- code/branches/ogre1.9/data/gui/scripts/InitialiseGUI.lua	(revision 11128)
+++ code/branches/ogre1.9/data/gui/scripts/InitialiseGUI.lua	(revision 11211)
@@ -8,5 +8,5 @@
 -- Load all required skins
 --schemeMgr:create("TaharezGreenLook.scheme")
-schemeMgr:create(scheme .. "Look.scheme")
+schemeMgr:createFromFile(scheme .. "Look.scheme")
 --schemeMgr:create("TaharezLook.scheme")
 --schemeMgr:create("WindowsLook.scheme")
@@ -21,16 +21,16 @@
 --schemeMgr:create("TaharezGreenHUDWidgets.scheme")
 --hudImageSet = "TaharezGreenLook"
-schemeMgr:create(scheme .. "MenuWidgets.scheme")
+schemeMgr:createFromFile(scheme .. "MenuWidgets.scheme")
 menuImageSet = scheme .. "Look"
-schemeMgr:create(scheme .. "HUDWidgets.scheme")
+schemeMgr:createFromFile(scheme .. "HUDWidgets.scheme")
 hudImageSet = scheme .. "Look"
 
 -- Just a remaining test hack
-schemeMgr:create("OrxonoxGUIScheme.scheme")
+schemeMgr:createFromFile("OrxonoxGUIScheme.scheme")
 
-local system = CEGUI.System:getSingleton()
-system:setDefaultMouseCursor(menuImageSet, "MouseArrow")
+local system = CEGUI.System:getSingleton():getDefaultGUIContext()
+system:getMouseCursor():setDefaultImage(menuImageSet .. "/MouseArrow")
 system:setDefaultFont("BlueHighway-12")
-system:setDefaultTooltip("MenuWidgets/Tooltip")
+system:setDefaultTooltipType("MenuWidgets/Tooltip")
 
 -- Convenience function and additional tools
Index: code/branches/ogre1.9/data/gui/scripts/MainMenu.lua
===================================================================
--- code/branches/ogre1.9/data/gui/scripts/MainMenu.lua	(revision 11128)
+++ code/branches/ogre1.9/data/gui/scripts/MainMenu.lua	(revision 11211)
@@ -7,30 +7,30 @@
     --buttons are arranged in a 6x1 Matrix (list)
     P:setButton(1, 1, {
-            ["button"] = winMgr:getWindow("orxonox/QuickGameTestButton"),
+            ["button"] = P.window:getChild("QuickGameTestButton"),
             ["callback"]  = P.QuickGameTestButton_clicked
     })
 
     P:setButton(2, 1, {
-            ["button"] = winMgr:getWindow("orxonox/SingleplayerButton"),
+            ["button"] = P.window:getChild("SingleplayerButton"),
             ["callback"]  = P.SingleplayerButton_clicked
     })
 
     P:setButton(3, 1, {
-            ["button"] = winMgr:getWindow("orxonox/MultiplayerButton"),
+            ["button"] = P.window:getChild("MultiplayerButton"),
             ["callback"]  = P.MultiplayerButton_clicked
     })
 
     P:setButton(4, 1, {
-            ["button"] = winMgr:getWindow("orxonox/SettingsButton"),
+            ["button"] = P.window:getChild("SettingsButton"),
             ["callback"]  = P.SettingsButton_clicked
     })
 
     P:setButton(5, 1, {
-            ["button"] = winMgr:getWindow("orxonox/CreditsButton"),
+            ["button"] = P.window:getChild("CreditsButton"),
             ["callback"]  = P.CreditsButton_clicked
     })
 
     P:setButton(6, 1, {
-            ["button"] = winMgr:getWindow("orxonox/ExitButton"),
+            ["button"] = P.window:getChild("ExitButton"),
             ["callback"]  = P.ExitButton_clicked
     })
Index: code/branches/ogre1.9/data/gui/scripts/MultiplayerMenu.lua
===================================================================
--- code/branches/ogre1.9/data/gui/scripts/MultiplayerMenu.lua	(revision 11128)
+++ code/branches/ogre1.9/data/gui/scripts/MultiplayerMenu.lua	(revision 11211)
@@ -115,5 +115,5 @@
             item:setID(index)
             index = index + 1
-            item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+            item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
             CEGUI.toListbox(listbox):addItem(item)
         end
@@ -152,5 +152,5 @@
             item:setID(index)
             index = index + 1
-            item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+            item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
             CEGUI.toListbox(listbox):addItem(item)
         end
Index: code/branches/ogre1.9/data/gui/scripts/PickupInventory.lua
===================================================================
--- code/branches/ogre1.9/data/gui/scripts/PickupInventory.lua	(revision 11128)
+++ code/branches/ogre1.9/data/gui/scripts/PickupInventory.lua	(revision 11211)
@@ -117,5 +117,5 @@
 
     local image = winMgr:createWindow("MenuWidgets/StaticImage", name .. "/Image")
-    image:setProperty("Image", "set:PickupInventory image:" .. representation:getInventoryRepresentation())
+    image:setProperty("Image", "PickupInventory/" .. representation:getInventoryRepresentation())
     image:setProperty("BackgroundEnabled", "set:False")
     image:setProperty("FrameEnabled", "set:True")
@@ -218,5 +218,5 @@
     
     local image = winMgr:createWindow("MenuWidgets/StaticImage", name .. "/Image")
-    image:setProperty("Image", "set:PickupInventory image:" .. representation:getInventoryRepresentation())
+    image:setProperty("Image", "PickupInventory/" .. representation:getInventoryRepresentation())
     image:setProperty("BackgroundEnabled", "set:False")
     image:setProperty("FrameEnabled", "set:True")
Index: code/branches/ogre1.9/data/gui/scripts/QuestGUI.lua
===================================================================
--- code/branches/ogre1.9/data/gui/scripts/QuestGUI.lua	(revision 11128)
+++ code/branches/ogre1.9/data/gui/scripts/QuestGUI.lua	(revision 11211)
@@ -104,5 +104,5 @@
     if P.showActive == quest:isActive(P.player) then
         local item = CEGUI.createListboxTextItem(P.questManager:getDescription(quest):getTitle())
-        item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+        item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
         list:addItem(item)
         table.insert(P.quests, quest)
@@ -141,5 +141,5 @@
             local quest = P.questManager:getSubQuest(quest, P.player, i)
             local item = CEGUI.createListboxTextItem(P.questManager:getDescription(quest):getTitle())
-            item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+            item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
             list:addItem(item)
             table.insert(P.subquests, quest)
Index: code/branches/ogre1.9/data/gui/scripts/SheetManager.lua
===================================================================
--- code/branches/ogre1.9/data/gui/scripts/SheetManager.lua	(revision 11128)
+++ code/branches/ogre1.9/data/gui/scripts/SheetManager.lua	(revision 11211)
@@ -1,5 +1,6 @@
 -- SheetManager.lua
 
-local cursor = CEGUI.MouseCursor:getSingleton()
+local cursor = CEGUI.System:getSingleton():getDefaultGUIContext():getMouseCursor()
+--local cursor = CEGUI.MouseCursor:getSingleton()
 local loadedSheets = {}
 local activeMenuSheets = {size = 0, topSheetTuple = nil}
@@ -107,5 +108,5 @@
 
     -- Add sheet to the root window
-    menuSheetsRoot:addChildWindow(menuSheet.window)
+    menuSheetsRoot:addChild(menuSheet.window)
 
     -- If sheet is the MainMenu
@@ -177,5 +178,5 @@
 
     -- Remove sheet with its tuple from the table
-    menuSheetsRoot:removeChildWindow(sheetTuple.sheet.window)
+    menuSheetsRoot:removeChild(sheetTuple.sheet.window)
     table.remove(activeMenuSheets, table.findIndex(activeMenuSheets, sheetTuple))
     activeMenuSheets[name] = nil
Index: code/branches/ogre1.9/data/gui/scripts/ShipSelectionMenu.lua
===================================================================
--- code/branches/ogre1.9/data/gui/scripts/ShipSelectionMenu.lua	(revision 11128)
+++ code/branches/ogre1.9/data/gui/scripts/ShipSelectionMenu.lua	(revision 11211)
@@ -34,5 +34,5 @@
         --if tag == nil or v:hasStartingShip(tag) then
             local item = CEGUI.createListboxTextItem(v)
-            item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+            item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
             listbox:addItem(item)
             table.insert(tabIndexes, k)
@@ -88,5 +88,5 @@
         --local imageName = selectedlevel:getScreenshot()
         -- set the screenshot and the description for the selected level
-        --levelImage:setProperty("Image", "set:"..levelXMLFilename..imageName.." image:full_image")
+        --levelImage:setProperty("Image", levelXMLFilename..imageName.."/full_image")
         --levelDescription:setText(level:getDescription())
         -- only enable config button for "gametype" levels
Index: code/branches/ogre1.9/data/gui/scripts/SingleplayerMenu.lua
===================================================================
--- code/branches/ogre1.9/data/gui/scripts/SingleplayerMenu.lua	(revision 11128)
+++ code/branches/ogre1.9/data/gui/scripts/SingleplayerMenu.lua	(revision 11211)
@@ -87,5 +87,5 @@
         if tag == nil or v:hasTag(tag) then
             local item = CEGUI.createListboxTextItem(v:getName())
-            item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+            item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
             listbox:addItem(item)
             table.insert(tabIndexes, k)
@@ -130,5 +130,5 @@
         local imageName = level:getScreenshot()
         -- set the screenshot and the description for the selected level
-        levelImage:setProperty("Image", "set:"..levelXMLFilename..imageName.." image:full_image")
+        levelImage:setProperty("Image", levelXMLFilename..imageName.."/full_image")
         levelDescription:setText(level:getDescription())
         -- only enable config button for "gametype" levels
Index: code/branches/ogre1.9/data/gui/scripts/UndockingDialog.lua
===================================================================
--- code/branches/ogre1.9/data/gui/scripts/UndockingDialog.lua	(revision 11128)
+++ code/branches/ogre1.9/data/gui/scripts/UndockingDialog.lua	(revision 11211)
@@ -42,5 +42,5 @@
     for k in pairs(P.docks) do
         local item = CEGUI.createListboxTextItem("Dock " .. k)
-        item:setSelectionBrushImage(menuImageSet, "MultiListSelectionBrush")
+        item:setSelectionBrushImage(menuImageSet .. "/MultiListSelectionBrush")
         listbox:addItem(item)
         if k == 1 then
